%global framework solid

Summary: KDE Frameworks 5 Tier 1 integration module that provides hardware information
Name:    kf5-%{framework}
Version: 5.110.0
Release: 1%{?dist}

License: LGPLv2+
URL:     https://solid.kde.org/

%global majmin %majmin_ver_kf5
%global stable %stable_kf5
Source0: http://download.kde.org/%{stable}/frameworks/%{majmin}/%{framework}-%{version}.tar.xz


BuildRequires:  extra-cmake-modules >= %{majmin}, kf5-rpm-macros >= %{majmin}, libupnp-devel
BuildRequires:  qt5-qtbase-devel, qt5-qtdeclarative-devel, qt5-qttools-devel
BuildRequires:  systemd-devel

%if ! 0%{?bootstrap}
BuildRequires:  bison, flex, media-player-info
BuildRequires:  pkgconfig(libimobiledevice-1.0), pkgconfig(mount)
Recommends:     udisks2, upower
%endif

Requires:       kf5-filesystem

Provides:       kf5-solid-libs = %{version}-%{release}

%description
Solid provides the following features for application developers:
 - Hardware Discovery
 - Power Management
 - Network Management

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:       qt5-qtbase-devel
%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%autosetup -n %{framework}-%{version} -p1
# do not build the solid-power executable, it conflicts with KF6 Solid
sed -i -e 's/if(WITH_NEW_SOLID_JOB AND WITH_NEW_POWER_ASYNC_API)/if(0)/g' \
  src/tools/CMakeLists.txt


%build
%cmake_kf5 \
  -DWITH_NEW_POWER_ASYNC_API:BOOL=ON \
  -DWITH_NEW_POWER_ASYNC_FREEDESKTOP:BOOL=ON \
  -DWITH_NEW_SOLID_JOB:BOOL=ON

%cmake_build


%install
%cmake_install

%find_lang_kf5 solid5_qt

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f solid5_qt.lang
%license LICENSES/*.txt
%doc README.md TODO
%{_kf5_bindir}/solid-hardware5
%{_kf5_qmldir}/org/kde/solid/
%{_kf5_libdir}/libKF5Solid.so.*
%{_kf5_datadir}/qlogging-categories5/%{framework}.*

%files devel
%{_kf5_includedir}/Solid/
%{_kf5_libdir}/libKF5Solid.so
%{_kf5_libdir}/cmake/KF5Solid/
%{_kf5_archdatadir}/mkspecs/modules/qt_Solid.pri


%changelog
* Tue Nov 21 2023 Chair <chairou@tencent.com> - 5.110.0-1
- Init
